TypechoJoeTheme

MelodyJerry

统计
登录
用户名
密码
/
注册
用户名
邮箱
文章目录
Vue

Vue解决less-loader 报错 TypeError: this.getOptions is not a function

2021-02-26
/
0 评论
/
179 阅读
/
正在检测是否收录...
02/26

首发于个人的csdn上:Vue解决less-loader 报错 TypeError: this.getOptions is not a function

问题

less-loader 报错 TypeError: this.getOptions is not a function at Object.lessLoader

Failed to compile.

./src/views/Login.vue?vue&type=style&index=0&id=26084dc2&lang=less&scoped=true& (./node_modules/css-loader/dist/cjs.js??ref--10-oneOf-1-1!./node_modules/vue-loader/lib/loaders/stylePostLoader.js!./node_modules/postcss-loader/src??ref--10-oneOf-1-2!./node_modules/less-loader/dist/cjs.js??ref--10-oneOf-1-3!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./src/views/Login.vue?vue&type=style&index=0&id=26084dc2&lang=less&scoped=true&)
Module build failed (from ./node_modules/less-loader/dist/cjs.js):
TypeError: this.getOptions is not a function
    at Object.lessLoader (F:\VS Code\Vue\supply\node_modules\less-loader\dist\index.js:21:24)

原因

因为 less-loader 版本太高问题,webpack和less-loader版本兼容问题导致的,需要降低版本。

解决

降低版本,安装指定版本:

npm uninstall less-loader

# npm install less@3.9.0  less-loader@5.0.0 -s
npm install less-loader@5.0.0
Vue
朗读
赞 · 0
赞赏
感谢您的支持,我会继续努力哒!

三合一收款

下面三种方式都支持哦

微信
QQ
支付宝
打开支付宝/微信/QQ扫一扫,即可进行扫码打赏哦
版权属于:

MelodyJerry

本文链接:

http://melodyjerry.top/index.php/archives/410/(转载时请注明本文出处及文章链接)

评论 (0)
IP信息

人生倒计时

今日已经过去小时
这周已经过去
本月已经过去
今年已经过去个月

今日天气

V2EX热门榜

  • 获取失败!

标签云